> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/tokenization-api-2.0/zhi-fu-fang-shi-xiang-qing.md).

# 支付方式详情

此章节有助于了解在“[创建支付方式](/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/tokenization-api-2.0/ji-cheng-zhi-nan/payment-method.md)”流程步骤中，需要哪些各付款方式信息。

## GoPay <a href="#gopay" id="gopay"></a>

```json
{
  "shopper_id": "{shopper.id}",
  "type": "gopay",
  "gopay": {
    "country_code": "ID",
    "msisdn": "+6281231684642"
  }
}
```

### 请求参数

<table><thead><tr><th>参数名称</th><th width="93">类型</th><th width="77">必填？</th><th>描述</th><th>验证</th></tr></thead><tbody><tr><td>shopper_id</td><td>String</td><td>是</td><td>由 Coda 生成的购物者 ID</td><td><p>必须介于 20和 32 之间</p><p></p><p>必须匹配<code>"[A-Za-z]+_[A-Za-z0-9]+</code></p></td></tr><tr><td>type</td><td>String</td><td>是</td><td>支付方式類型</td><td><p>必须介于 3 和 64 之间</p><p></p><p>必须匹配<code>"</code>[a-zA-Z0-9_]+"</p></td></tr><tr><td>gopay.country_code</td><td>String</td><td>是</td><td>使用 ISO 3166 ALPHA-2 国家/地区代码的付款方式有关联的国家/地区</td><td>国家/地区代码长度必须为 2 并遵循模式 <code>(\w{2})</code></td></tr><tr><td>gopay.msisdn</td><td>String</td><td>是</td><td>与付款方式关联的手机号码</td><td>Msisdn 长度必须介于 12 到 16 之间，并且必须遵循 <code>+[0-9]+</code> 模式</td></tr></tbody></table>

### GoPay 支付方式 对象&#x20;

<table><thead><tr><th width="246">参数名称</th><th width="144">类型</th><th>描述</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>Coda 生成的Payment Method ID</td></tr><tr><td>shopper_id</td><td>String</td><td>Coda 生成的Shopper ID</td></tr><tr><td>type</td><td>String</td><td>付款方式类型</td></tr><tr><td>gopay.id</td><td>String</td><td>Coda 生成的 Go Pay ID 付款方式</td></tr><tr><td>gopay.country_code</td><td>String</td><td>使用 GoPay 的指定付款方式的国家/地区代码</td></tr><tr><td>gopay.msisdn</td><td>String</td><td>使用 GoPay 的指定付款方式的电话号码</td></tr></tbody></table>

## Mada - 信用卡付款方式

```json
{
  "shopper_id": "{shopper.id}",
  "type": "card",
  "card": {
    "country_code": "SA"
  }
}
```

### 请求参数

<table><thead><tr><th width="194">参数名称</th><th width="85">类型</th><th width="76">必填？</th><th>描述</th><th>验证</th></tr></thead><tbody><tr><td>shopper_id</td><td>String</td><td>是</td><td>Shopper ID 将由 Coda 生成</td><td><p>必须介于 20和 32 之间</p><p></p><p>必须匹配<code>"[A-Za-z]+_[A-Za-z0</code>-9]+</p></td></tr><tr><td>type</td><td>String</td><td>是</td><td>支付方式類型</td><td><p>必须介于 3 和 64 之间</p><p></p><p>必须匹配<code>"</code>[a-zA-Z0-9_]+"</p></td></tr><tr><td>card.country_code</td><td>String</td><td>是</td><td>使用 ISO 3166 ALPHA-2 国家/地区代码的付款方式有关联的国家/地区</td><td>国家/地区代码长度必须为 2 并遵循模式 <code>(\w{2})</code></td></tr></tbody></table>

### 信用卡支付方式 对象&#x20;

<table><thead><tr><th width="259">参数名称</th><th width="159">类型</th><th>描述</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>Coda 生成的Payment Method ID</td></tr><tr><td>shopper_id</td><td>String</td><td>Coda 生成的Shopper ID</td></tr><tr><td>type</td><td>String</td><td>付款方式类型</td></tr><tr><td>card.id</td><td>String</td><td>Coda 生成 Card ID 付款方式</td></tr><tr><td>card.country_code</td><td>String</td><td>使用信用卡的付款方式的国家/地区代码</td></tr><tr><td>card.last_four</td><td>String</td><td>卡号末4位</td></tr></tbody></table>

## DANA 电子钱包

```json
{
  "shopper_id": "{{shopper.id}}",
  "type": "dana",
  "dana": {
    "country_code": "ID"
  }
}
```

### 请求参数 <a href="#request-parameters-2" id="request-parameters-2"></a>

<table><thead><tr><th width="190">参数名称</th><th width="86">类型</th><th width="76">必填？</th><th>描述</th><th>验证</th></tr></thead><tbody><tr><td>shopper_id</td><td>String</td><td>是</td><td>Shopper ID 将由 Coda 生成</td><td><p>必须介于 20和 32 之间</p><p></p><p>必须匹配<code>"[A-Za-z]+_[A-Za-z0-9]+</code></p></td></tr><tr><td>type</td><td>String</td><td>是</td><td>支付方式类型</td><td><p>必须介于 3 和 64 之间</p><p></p><p>必须匹配<code>"</code>[a-zA-Z0-9_]+"</p></td></tr><tr><td>dana.country_code</td><td>String</td><td>是</td><td>使用 ISO 3166 ALPHA-2 国家/地区代码的付款方式有关联的国家/地区</td><td>国家/地区代码长度必须为 2 并遵循模式 <code>(\w{2})</code></td></tr></tbody></table>

### DANA支付方式 对象&#x20;

<table><thead><tr><th width="241">参数名称</th><th width="158">类型</th><th>描述</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>Coda 生成的Payment Method ID</td></tr><tr><td>shopper_id</td><td>String</td><td>Coda 生成的Shopper ID</td></tr><tr><td>type</td><td>String</td><td>付款方式类型</td></tr><tr><td>card.id</td><td>String</td><td>Coda 生成的 DANA ID 付款方式</td></tr><tr><td>dana.country_code</td><td>String</td><td>使用信用卡的付款方式的国家/地区代码</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/tokenization-api-2.0/zhi-fu-fang-shi-xiang-qing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
